﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

    <!-- questo serve per la compatibilità (credo) -->
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Compito Cengia</title>

    <!-- importo i dati-->
    <script type="text/javascript" src="dati/dati.js"></script>

    <!-- importo il foglio di stile -->
    <link rel="stylesheet" type="text/css" href="css/stile.css">

    <!-- quì era presente la parte dello stile -->
    <!-- (spostata nel css) -->

    <!-- importo jQuery -->
    <script src="http://code.jquery.com/jquery-1.6.4.min.js" type="text/javascript"></script>

    <!-- script jQuery -->
    <script>

        //funzione show
        function showParagrafi() { 
            $("p").show();
        }


    </script>

    <!-- script di ricerca (javascript) -->
    <script>

        // ------------------- Variabili Globali ------------------------------ \\

        var puntitrovati=new Array();
        var numpuntitrovati = -1;

        // ------------------------- Metodo Scelta ------------------------------------ \\

        // viene creato dinamicamante il campo di ricerca e il metodo corrispondente
		function ScegliMetodo(scelta) {
            var s;
            switch (scelta) {
                case 0:
                    s = "<input  id='Text1' type='text' onkeypress='if (event.keyCode == 13) VisualizzaProvStati(Text1.value)' placeholder='Inserisci lo stato...' />"
                    break;

                case 1:
                    VisualizzaCapitali("#");
                    s = "<input  id=\"Text1\" type=\"text\" value=\"\" onkeypress=\"if (event.keyCode == 13) VisualizzaCapitali(Text1.value)\" placeholder=\"Inserisci un continente...\" />"
                    break;

                case 2:
                    VisualizzaPop("#");
                    s = "<input  id=\"Text1\" type=\"text\" value=\"\" onkeypress=\"if (event.keyCode == 13) VisualizzaPop(Text1.value)\" placeholder=\"Inserisci un continente...\" />"
                    break;

                case 3:
                    VisualizzaMaxPop("#");
                    s = "<input  id=\"Text1\" type=\"text\" value=\"\" onkeypress=\"if (event.keyCode == 13) visualizzaMaxPop(Text1.value)\" placeholder=\"Inserisci un continente...\" />"
                    break;
            }

            document.getElementById("P1").innerHTML = s;
        }


        // -------------------- Medodi Di Ricerca ------------------------------ \\

        function VisualizzaProvStati(chiave) {
            puntitrovati = [];  // azzera vettore
            numpuntitrovati = -1;

            chiave = chiave.toUpperCase();

            for (var i = 0; i < DB.Punti.length; i++) {

                des = DB.Punti[i].SOV0NAME.toUpperCase();
                if (des.indexOf(chiave) >= 0) {
                    numpuntitrovati++;
                    puntitrovati[numpuntitrovati] = DB.Punti[i];
                }
            }
            MostraAlert(numpuntitrovati);
        }

        function VisualizzaCapitali(chiave) {
            var cont;
            puntitrovati = [];
            numpuntitrovati = -1;
            if (chiave == "#") {
               for (var i = 0; i < DB.Punti.length; i++) {
                    des = DB.Punti[i].FEATURECLA;
                    if (des == "Admin-0 capital") {
                        numpuntitrovati++;
                        puntitrovati[numpuntitrovati] = DB.Punti[i];
                    }
                }			
            }
            else {
                cont = "";
                chiave = chiave.toUpperCase();
                switch (chiave)
                {
                    case "EUROPA":
                        cont = "EUROPE/";
                        break;
                    case "AMERICA":
                        cont = "AMERICA/";
                        break;
                    case "ASIA":
                        cont = "ASIA/";
                        break;
                    case "AFRICA":
                        cont = "AFRICA/";
                        break;
                    default:
                        cont = "#########";
                        break;
                }
                for (var i = 0; i < DB.Punti.length; i++) {
                    des = DB.Punti[i].FEATURECLA;
                    des1 = DB.Punti[i].TIMEZONE.toUpperCase();
                    if ((des == "Admin-0 capital") && (des1.indexOf(cont) >= 0)) {
                        numpuntitrovati++;
                        puntitrovati[numpuntitrovati] = DB.Punti[i];
                    }
                }   
            }
			MostraAlert(numpuntitrovati);
        }
        
        // quì ci sono 2  metodi da finire
        function VisualizzaPop(chiave) {

            puntitrovati = [];
            numpuntitrovati = -1;
        
            for (i = 0; i < DB.Punti.length; i++) {

                des = DB.Punti[i].POP_MAX;
                if (des >= 4000000) {
                    numpuntitrovati++;
                    puntitrovati[numpuntitrovati] = DB.Punti[i];
                }
            }
            MostraAlert(numpuntitrovati);
        }

        function VisualizzaMaxPop(chiave) {
    
            var cont;
            var pos = 0;
            puntitrovati = [];
            numpuntitrovati = -1;

            if (chiave == "#") {
                for (var i = 1; i < DB.Punti.length; i++) {

                    des = DB.Punti[i].POP_MAX;
            
                    if(des > DB.Punti[pos].POP_MAX) {
                    pos = i;
                }
            }			
            }
            else {
                cont = "";
                chiave = chiave.toUpperCase();
                switch (chiave)
            {
            case "EUROPA":
                cont = "EUROPE/";
                break;
            case "AMERICA":
                cont = "AMERICA/";
                break;
            case "ASIA":
                cont = "ASIA/";
                break;
            case "AFRICA":
                cont = "AFRICA/";
                break;
            default:
                cont = "#########";
                break;
            }

            for (var i = 1; i < DB.Punti.length; i++) {

                des = DB.Punti[i].POP_MAX;
                des1 = DB.Punti[i].TIMEZONE.toUpperCase();

                if(des > DB.Punti[pos].POP_MAX && (des1.indexOf(cont) >= 0)) {
                    pos = i;
                }
            }   
            }

            puntitrovati[0] = DB.Punti[pos];
            numpuntitrovati = 1;

            MostraAlert(numpuntitrovati);
        }

       
		//  Passaggio dei punti trovati al frame che contiene la mappa //
        function mappaPunti() {

            var frame = document.getElementById('mappa');

            frame.contentWindow.postMessage(puntitrovati, '*');

        }

        //  Controllo alert  \\
        function MostraAlert(numero) {
            if (numero > 0) {
                mappaPunti();
                document.getElementById("Alert").innerHTML = "punti trovati: " + numero;
            }
            else {
                document.getElementById("Alert").innerHTML = "<div class='alert'><span class='closebtn' onclick='this.parentElement.style.display=" + "\"none\"" + ";Text1.value = \"\";'>&times;</span><strong>Attenzione!</strong> Indicare uno Stato/Continente corretto!</div>"
            }
        }

    </script>

<body onload="ScegliMetodo(0); mappaPunti();">

    <div class=panRic>

        <select id="select1" width="20%" name="Scelta" onChange="ScegliMetodo(select1.selectedIndex)">
            <option value="1">RICERCA STATO</option>
            <option value="2">RICERCA CAPITALI</option>
            <option value="3">RICERCA POP > 4M</option>
            <option value="4">CITTA PIU POPOLATE</option>
        </select>
    
        <span id="P1">
        <!--<input id="Text1" type="text" value="" onkeypress="if (event.keyCode == 13) visualizza(Text1.value), mappaPunti()" placeholder="INSERIRE CONTINENTE" /> -->
        </span>
        <!-- ** InputBox **-->
        
        <!-- banner di errore -->
        <p id="Alert"></p>

    </div>

    <!-- contenitore della mappa -->
    <div class="mappa">
        <iframe id="mappa" src="mappa_osm.htm" width="1000" height="750" frameborder="0" style="border:0" scrolling="no"></iframe>
    </div>
    

</body>
</html>
